Orangutan::Redmine - Enhancement #557

Tree
15 Jun 2010 20:42 - Oleh Demyanyuk

Status: Closed Start date: 02 Jul 2010
Priority: Minor Due date: 04 Jul 2010
Assignee: Andriy Lesyuk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.02

Description

Could you please implement possibility to view project tree in orangutang... Thanks...

History

#1 - 15 Jun 2010 20:55 - Andriy Lesyuk
- Start date deleted (15 Jun 2010)
- Priority changed from Normal to Minor

- Assignee set to Andriy Lesyuk

#2 - 15 Jun 2010 20:57 - Andriy Lesyuk

Projects tree or issues tree? Please be more exact and fix description.

#3 - 15 Jun 2010 21:01 - Oleh Demyanyuk

Escuzi it should be “issue tree” ...

#4 - 27 Jun 2010 20:41 - Andriy Lesyuk

Looks like this is what | need (Ift/rgt):
http://dev.mysqgl.com/tech-resources/articles/hierarchical-data.html

#5 - 27 Jun 2010 20:46 - Andriy Lesyuk

- Target version set to 1.02

#6 - 02 Jul 2010 19:52 - Andriy Lesyuk
- Start date set to 02 Jul 2010

- Status changed from Open to In Progress

#7 - 02 Jul 2010 20:55 - Andriy Lesyuk

| have some questions regarding this request...

1. Redmine shows all issues with subissues even if the last are closed. That's what | hate about Redmine... And | don’t want to move this to
Orangutan. | believe | should show only the issues which do match the request (if user requested only open issues then no closed issues should

be shown). Is this good?

2. If parent issue is closed and subissue is open - | show only subissue without any tree, ok?
3. What should | do in the case when: 1) parent issue is open, 2) its subissue is closed and 3) subissue of the subissue is open? Accordingly to
request | should show only parent and “subsubissue”... But if | do so - the tree structure will be lost. Anyway that's what | believe should be

good... Another alternative - show all three issues. But I'm not sure if this is good idea... What would you say?
http://dev.mysql.com/tech-resources/articles/hierarchical-data.html

#8 - 02 Jul 2010 21:07 - Andriy Lesyuk
- % Done changed from 0 to 10

#9 - 04 Jul 2010 20:00 - Andriy Lesyuk
- Due date set to 04 Jul 2010
- % Done changed from 10 to 100

- Status changed from In Progress to Closed

1. Not showing closed issues - only issues matching the request
2. Showing only subissues
3. Showing parent and “subsubissue” as it was a subissue..

Sample:

19:36:28 s—andy: Show all issues on !For test only
19:36:28 Orangutan: They are (14 issues):
#22) Bug (new): test urgent [urgent]
#21) Bug (new): test high [high]
#113) Bug (for testing): test [high]
L> #114) Bug (new): test [normal]
L L. #115) Bug (new): test [normal]
L- L. #320) Bug (new): test [normal]
) Bug (new): test normal [normal]
) Bug (new): another test issue [normal]
#37) Feature Request (new): TecT 3006paxeHb [normall]
) Support (new): test messenger [normal]
) Bug (new): test messenger again [normal]
#473) Task (new): Several numeric lists [normal]
#474) Task (new): Headings and links [normall]
#20) Bug (new): test low [low]

#10 - 01 Mar 2011 14:19 - Andriy Lesyuk
- Tracker changed from Feature to Enhancement

- Project changed from Orangutan to Orangutan::Redmine
